# Developer Guide

Welcome to the Whombat Developer Guide. This comprehensive resource covers a
variety of topics essential for developers:

1. [Quickstart](quickstart.md): Learn how to set up a development environment on
   your machine quickly.
2. [Architecture](architecture.md): Gain insight into the high-level structure
   of Whombat, its main components, and how they come together to form the final
   application.
3. [Database Layer](database.md): Explore information about the data stored by
   Whombat, its storage configuration, and ways to tailor it to meet specific
   requirements.
4. [Python API](api.md): Discover the convenient Python API provided by Whombat
   for interacting with stored data. Use this API to integrate Whombat's outputs
   into your Python scripts or create custom annotation workflows.
5. [HTTP REST API](rest_api.md): Explore the HTTP REST API that all Whombat
   instances provide. This allows third parties to safely interact with Whombat
   data, enabling the development of alternative frontends or other web
   applications for working with annotation data.
6. [Front End](front_end.md): Delve into the details of how the Whombat frontend
   is constructed.
7. [Plugins](plugins.md): Stay tuned for updates on the integration of a plugin
   system, offering an easy way to incorporate third-party code into Whombat.
   Check here for the latest information.
8. [Contributing](../CONTRIBUTING.md): Find instructions on how to contribute to
   this project and become part of the Whombat community.
9. [Code of Conduct](../CODE_OF_CONDUCT.md): Familiarize yourself with our code
   of conduct to maintain a friendly and collaborative environment.
